The new WordPress block editor is made of suck.

I know that tech companies and social media platforms have oodles of coders that are out to justify their collective existences, but more should be done to prevent them from fixing what’s not broken.

If you’ve attempted to use WordPress lately, you might have had issues with widgets. That’s not as big a deal for me as the fact that the numerous tools used to edit a post have vanished into a non-intuitive interface, assuming that you can still access the media you’ve uploaded through all that mess.

What really stinks of turgid ethics is that to access the classic editor, you have to install it as a plugin. All that would take from you is $300 per year for their Business Plan.

It seems as though it’s not enough for WordPress to intersperse our content with gross-out ads, now they want us to pay to use an editor that we’ve been accustomed to for years.

I’m curious about who is desperate enough for the older, better editor that they’re willing to reward WordPress financially in spite of the fact that WordPress 5.5 is breaking sites.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out /  Change )

Google photo

You are commenting using your Google account. Log Out /  Change )

Twitter picture

You are commenting using your Twitter account. Log Out /  Change )

Facebook photo

You are commenting using your Facebook account. Log Out /  Change )

Connecting to %s